.datePicker-x *{
     margin: 0;
     padding: 0;
     list-style: none;
}
 .hide{
     display: none !important;
}
.datePicker-x{box-shadow: 0 2px 16px 0 rgba(0,0,0,.1);}
 .datePicker-x .is-disabled{
     cursor: not-allowed;
}
 .datePicker-x .datePicker-title-text{
     cursor: pointer;
}
 .datePicker-x .datePicker-title-text:hover{
     color: #409eff;
}
 .datePicker-x .datePicker-title-text.is-double{
     cursor: default;
}
 .datePicker-x .datePicker-title-text.is-double:hover{
     color: #606266;
}
 .datePicker-x[reporttimetype="7"] .calendarBody-header-left-prevMonth, .datePicker-x[reporttimetype="7"] .calendarBody-header-right-nextMonth, .datePicker-x[reporttimetype="8"] .calendarBody-header-left-prevMonth, .datePicker-x[reporttimetype="8"] .calendarBody-header-right-nextMonth, .datePicker-x[reporttimetype="9"] .calendarBody-header-left-prevMonth, .datePicker-x[reporttimetype="9"] .calendarBody-header-right-nextMonth{
     display: none;
}
 .datePicker-x[reporttimetype="7"] .calendarBody-content-body-row-date{
     line-height: 40px;
     margin: 8px 0;
}
 .datePicker-x[reporttimetype="7"] .calendarBody-content-body-row-date > span{
     width: 40px;
     line-height: 30px;
}
 .datePicker-x[reporttimetype="8"] .calendarBody-content-body-row-date{
     line-height: 60px;
     margin: 10px 0;
}
 .datePicker-x[reporttimetype="8"] .calendarBody-content-body-row-date > span{
     width: 60px;
     line-height: 50px;
     font-size: 14px;
}
 .datePicker-x[reporttimetype="9"] .calendarBody-content-body-row-date{
     line-height: 40px;
     margin: 8px 0;
}
 .datePicker-x[reporttimetype="9"] .calendarBody-content-body-row-date > span{
     width: 50px;
     line-height: 30px;
     font-size: 14px;
}
 .datePicker-x{
     max-width: 300px;
     margin: 10px auto;
     background-color: white;
}
 .datePicker-x.is-fast{
     max-width: 340px;
}
 .datePicker-x.is-double{
     max-width: 650px;
     margin: 1px auto;
}
 .datePicker-x[reporttimetype="4"] .datePicker-content-calendar-body{
     border-top: 1px solid #e4e7ed;
}
 .datePicker-x[reporttimetype="4"] .datePicker-bottom{
     border: 1px solid #e4e4e4;
     border-top: none;
}
 .datePicker-x .datePicker-content-fast{
     display: none;
}
 .datePicker-x.is-fast .datePicker-content-fast{
     display: block;
}
 .datePicker-content-calendar-hours.hide{
     border: none;
}
 .datePicker-x .datePicker-content-calendar-body, .datePicker-x .datePicker-content-calendar-hours{
     border-left: none;
}
 .datePicker-x.is-fast .datePicker-content-calendar-body, .datePicker-x.is-fast .datePicker-content-calendar-hours{
     border-left: 1px solid #e4e7ed;
     border-bottom: 1px solid #e4e7ed;
}
 .datePicker-x[reporttimetype="4"] .datePicker-content-calendar-hours, .datePicker-x[reporttimetype="4"] .datePicker-content-calendar-body{
     border-bottom: none;
}
 .datePicker-content-calendar-body{
     flex-direction: column;
}
 .datePicker-x.is-double .datePicker-content-calendar-body{
     flex-direction: row;
}
 .datePicker-x *{
     -webkit-user-select: none;
     -ms-user-select: none;
     -moz-user-select: none;
     -o-user-select: none;
}
/*日历主体样式*/
 .datePicker-content{
     display: flex;
     border: 1px solid #e4e7ed;
     border-radius: 4px 4px 0 0;
}
 .datePicker-content-fast{
     width: 100px;
}
 .datePicker-content-fast-ul{
     padding: 10px 6px 0 12px;
     box-sizing: border-box;
}
 .datePicker-content-fast-ul-li{
     font-size: 14px;
     line-height: 28px;
     color: #606266;
     cursor: pointer;
}
 .datePicker-content-fast-ul-li:hover{
     color: #409eff;
}
 .datePicker-content-calendar{
     flex: 1;
}
 .datePicker-content-calendar-body{
     color: #606266;
     display: flex;
     border: 1px solid #e4e7ed;
     border-right: none;
     border-bottom: none;
     border-top: none;
}
 .datePicker-content-calendar-body-left, .datePicker-content-calendar-body-right{
     flex: 1;
     padding: 16px;
}
 .datePicker-content-calendar-body-left{
     border-right: 1px solid #e4e4e4;
}
/*日历头部样式*/
 .calendarBody-header{
     line-height: 30px;
     display: flex;
     justify-content: space-around;
}
 .calendarBody-header .ali-iconfont{
     font-size: 14px;
     margin: 0 6px;
     cursor: pointer;
}
 .calendarBody-header .ali-iconfont.is-disabled, .calendarBody-header .ali-iconfont.is-disabled:hover{
     cursor: not-allowed;
     color: #bbb;
}
 .calendarBody-header .ali-iconfont:hover{
     color: #409eff;
}
 .datePicker-content-calendar-hours .down{
     margin-top: 4px !important;
}
 .calendarBody-header-content{
     width: 70%;
     text-align: center;
}
/*日历头部样式结束*/
 .calendarBody-content{
     text-align: center;
}
 .calendarBody-content-title{
     display: flex;
     justify-content: center;
     border-bottom: 1px solid #e4e7ed;
     padding-bottom: 8px;
     cursor: default;
}
 .calendarBody-content-title-text{
     flex: 1;
     width: 30px;
     line-height: 30px;
     font-size: 12px;
}
 .calendarBody-content-body{
     display: flex;
     flex-direction: column;
     justify-content: center;
}
 .calendarBody-content-body-row{
     display: flex;
     justify-content: center;
}
 .calendarBody-content-body-row[title]:hover > div{
     background-color: #f2f6fc;
}
 .calendarBody-content-body-row[title]:hover > div:not(.active):not(.end-date):not(.disabled):first-child{
     border-radius: 15px 0 0 15px;
}
 .calendarBody-content-body-row[title]:hover > div:not(.active):not(.start-date):not(.disabled):last-child{
     border-radius: 0 15px 15px 0;
}
 .calendarBody-content-body-row-date {
     flex: 1;
     width: 30px;
     line-height: 30px;
     font-size: 12px;
     cursor: pointer;
}
 .calendarBody-content-body-row-date.disabled {
     background-color: #f5f7fa;
}
 .calendarBody-content-body-row-date.disabled > span, .calendarBody-content-body-row-date.disabled:hover > span{
     cursor: not-allowed;
     color: #c0c4cc;
}
 .calendarBody-content-body-row-date.active, .calendarBody-content-body-row-date.start-date, .calendarBody-content-body-row-date.end-date{
     background-color: #f2f6fc;
}
 .calendarBody-content-body-row-date.user{
     background-color: #f79f9f;
     border-radius: 0 !important;
}
 .calendarBody-content-body-row-date.start-date{
     border-radius: 15px 0 0 15px;
}
 .calendarBody-content-body-row-date.end-date{
     border-radius: 0 15px 15px 0;
}
 .calendarBody-content-body-row-date.current > .prev-month, .calendarBody-content-body-row-date.current > .next-month{
     background-color: unset;
}
 .calendarBody-content-body-row-date.current:hover > .prev-month, .calendarBody-content-body-row-date.current:hover > .next-month{
     color: #c0c4cc;
}
 .calendarBody-content-body-row-date.current > span, .calendarBody-content-body-row-date.today.current > span{
     color: #fff;
     background-color: #409eff;
}
 .calendarBody-content-body-row-date.current:hover > span{
     color: #FFF;
}
 .calendarBody-content-body-row-date.start-date.end-date{
     border-radius: 50%;
}
 .calendarBody-content-body-row-date > span.prev-month, .calendarBody-content-body-row-date > span.next-month{
     color: #c0c4cc;
}
 .calendarBody-content-body-row-date:hover > .available, .calendarBody-content-body-row-date.today > .available{
     color:#409eff;
}
 .calendarBody-content-body-row[title] .calendarBody-content-body-row-date.start-date > .prev-month, .calendarBody-content-body-row[title] .calendarBody-content-body-row-date.end-date > .prev-month, .calendarBody-content-body-row[title] .calendarBody-content-body-row-date.start-date > .next-month, .calendarBody-content-body-row[title] .calendarBody-content-body-row-date.end-date > .next-month{
     background-color: #409eff;
     color: #FFF;
}
 .calendarBody-content-body-row-date.start-date > .available, .calendarBody-content-body-row-date.end-date > .available{
     background-color: #409eff;
     color: #FFF;
}
 .calendarBody-content-body-row-date > span{
     display: inline-block;
     width: 24px;
     line-height: 24px;
     border-radius: 50%;
}
/*日历主体样式结束*/
/* 日历小时样式 */
 .datePicker-content-calendar-hours{
     display: flex;
     height: 40px;
     line-height: 40px;
     border-left: 1px solid #e4e7ed;
     justify-content: center;
     align-items: center;
}
 .is-double .datePicker-content-calendar-hours > div{
     padding: 0;
}
 .datePicker-content-calendar-hours-left, .datePicker-content-calendar-hours-right{
     display: flex;
     justify-content: center;
     align-items: center;
     padding: 0 5px;
     width: 49%;
}
 .datePicker-content-calendar-hours-content{
     flex: 1;
     font-size: 14px;
}
 .datePicker-content-calendar-hours .calendarHour-day, .datePicker-content-calendar-hours .calendarHour-hour{
     flex: 1;
     padding: 0 5px;
     height: 28px;
     line-height: 28px;
}
 .datePicker-content-calendar-hours > div > div > input{
     width: 100%;
     height: 100%;
     border: 1px solid #dcdfe6;
     border-radius: 4px;
     cursor: pointer;
     color: #606266;
     transition: border-color .2s ;
}
 .datePicker-content-calendar-hours > div > div > input:hover{
     border-color: #c0c4cc;
}
 .datePicker-content-calendar-hours > div > div > input:focus{
     outline: none;
     border-color: #409eff;
}
 .datePicker-content-calendar-hours-left, .datePicker-content-calendar-hours-right{
     display: flex;
}
 .calendarHour-day-input, .calendarHour-hour-input{
     padding: 0 10px;
     box-sizing: border-box;
     width: 100%;
     line-height: 24px;
     border: 1px solid #dcdfe6;
     border-radius: 4px;
     cursor: pointer;
     color: #606266;
     transition: border-color .2s;
}
 .calendarHour-day-input:hover, .calendarHour-hour-input:hover{
     border-color: #c0c4cc;
}
 .calendarHour-day-input:focus, .calendarHour-hour-input:focus{
     outline: none;
     border-color: #409eff;
}
 .calendarHour-hour-pull{
     background-color: #FFF;
     border: 1px solid #e4e4e4;
     position: relative;
     margin-top: 5px;
     border-top: none;
}
 .calendarHour-hour-pull-content{
     display: flex;
     text-align: center;
     height: 150px;
     overflow: hidden;
}
 .calendarHour-hour-pull-content > div{
     flex: 1;
}
 .calendarHour-hour-pull-content > div > ul {
     overflow-y: auto;
     height: 100%;
}
 .calendarHour-hour-pull-content > div > ul::before, .calendarHour-hour-pull-content > div > ul::after{
     content: '';
     display: block;
     clear: both;
     height: 50%;
}
 .calendarHour-hour-pull-content > div > ul::-webkit-scrollbar {
     display: none;
    /* Chrome Safari */
}
 .calendarHour-hour-pull-content > div > ul > li{
     color: #606266;
     font-size: 12px;
     cursor: pointer;
}
 .calendarHour-hour-pull-content > div > ul > li:not(.active):hover{
     background-color: #f5f7fa;
}
 .calendarHour-hour-pull-content > div > ul > li.active{
     border-top: 1px solid #dcdfe6;
     border-bottom: 1px solid #dcdfe6;
     color: #303133;
     font-weight: 700;
     cursor: default;
}
 .calendarHour-hour-pull-footer{
     border-top: 1px solid #e4e4e4;
     text-align: right;
     padding-right: 5px;
}
 .calendarHour-hour-pull-footer span{
     font-size: 12px;
     margin: 0 5px;
     cursor: pointer;
}
 .calendarHour-hour-pull-footer-confirm{
     color: #409eff;
}
/* 快速选择DOM结构 */
/* 快速选择DOM结构结束 */
/* 底部样式 */
 .datePicker-bottom{
     line-height: 40px;
     text-align: right;
     border-radius: 0 0 4px 4px;
}
 .datePicker-bottom-btn span{
     font-size: 12px;
     padding: 4px 13px;
     cursor: pointer;
}
 .datePicker-bottom-btn-cancel{
     color: #c60000;
}
 .datePicker-bottom-btn-confirm{
     background-color: #fff;
     border: 1px solid #dcdfe6;
     margin-right: 8px;
     border-radius: 4px;
     color: #606266;
     transition: border-color .2s;
}
 .datePicker-bottom-btn-confirm:hover{
     background-color: #fff;
     border-color: #c60000;
     color: #c60000;
}
 .datePicker-bottom-btn-confirm.is-disabled, .datePicker-bottom-btn-confirm.is-disabled:hover, .datePicker-bottom-btn-confirm.is-disabled:active{
     background-color: #fff;
     border-color: #ebeef5;
     color: #c0c4cc;
     cursor: not-allowed;
}
/* 底部样式结束 */
 .dp_wrap{
     line-height: 32px;
     height: 32px;
     border: 1px solid #dcdfe6;
     width: 360px;
     display: flex;
     transition: border-color .2s;
     border-radius: 4px;
}
 .dp_wrap:hover{
     border-color: #c0c4cc;
}
 .dp_wrap:active{
     border-color: #66b1ff;
}
 .dp_wrap.active{
     border-color: #66b1ff;
}
 .dp_wrap > div{
     flex: 1;
     padding: 0 10px;
     display: flex;
     cursor: pointer;
}
.dp_wrap > span{
    font-size: 13px;
    line-height: 30px;
}
 .dp_wrap .ali-iconfont{
     display: inline-block;
     width: 20px;
     text-align: center;
     margin-right: 5px;
     line-height: 30px;
}
 .dp_wrap-l-starTime, .dp_wrap-l-endTime{
     display: flex;
     justify-content: center;
     align-items: center;
}
 .dp_wrap [name="startTime"], .dp_wrap [name="endTime"]{
     flex: 1;
     width: 100%;
}
 .dp_wrap [name="startTime"], .dp_wrap [name="endTime"], .dp_wrap [name="startTime"]:focus, .dp_wrap [name="endTime"]:focus{
     border: none;
     outline: none;
     cursor: pointer;
}
 @font-face {
     font-family: 'ali-iconfont';
     src: url('data:font/ttf;charset=utf-8;base64,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') format('truetype');
     font-weight: normal;
     font-style: normal;
     font-display: swap;
}
 .ali-iconfont {
     font-family: "ali-iconfont" !important;
     font-size: 16px;
     font-style: normal;
     -webkit-font-smoothing: antialiased;
     -moz-osx-font-smoothing: grayscale;
}
 .icon-fangxiangjiantou-xiangzuo:before {
     content: "\e60f";
}
 .icon-fangxiangjiantou-xiangyou:before {
     content: "\e610";
}
 .icon-shijian:before {
     content: "\e61d";
     color: #c0c0c0;
}
 .icon-chaxun:before {
     content: "\e6b4";
}
 .icon-fangxiang_jiantou_xiangzuo:before {
     content: "\e8b8";
}
 .icon-fangxiang_jiantou_xiangyou:before {
     content: "\e8b9";
}
/* 日历小时样式结束 */
 